diff --git a/tests/check-ctrl-alt-del.sh b/tests/check-ctrl-alt-del.sh
index da58a57a3d3d8beeb084bda1e59bbf4f1ebc8725..343f0b84edcc66b5d82280accda3240752a9a372 100644
--- a/tests/check-ctrl-alt-del.sh
+++ b/tests/check-ctrl-alt-del.sh
@@ -1,10 +1,12 @@
 #!/bin/bash
 
-if [ -f /etc/systemd/system/ctrl-alt-del.target ];then
+if [ -L /etc/systemd/system/ctrl-alt-del.target ];then
     ctrl_alt_del=$(ls -l /etc/systemd/system/ctrl-alt-del.target)
     if [[ "$ctrl_alt_del" !=  *'/dev/null' ]]; then
         exit 1
     fi
 else
-    exit 1
+    if [ -f /etc/systemd/system/ctrl-alt-del.target ];then
+        exit 1
+    fi
 fi